WebAssembly module API

Get the WebAssembly module (Wasm) ZIP bundle for a Spark service. This can be used to run Spark services locally.

Returns: Wasm ZIP bundle file.

## Depending on the desired reference parameter, different URI are available.
GET /{tenant}/api/v3/nodegen/getnodegenzipbyId/folders/{folder}/services/{service}
GET /{tenant}/api/v3/nodegen/getnodegenzipbyId/version/{versionId}
GET /{tenant}/api/v3/nodegen/getnodegenzipbyId/service/{serviceId}
GET /{tenant}/api/v3/nodegen/public/getnodegenzipbyId/folders/{folder}/services/{service}
GET /{tenant}/api/v3/nodegen/public/getnodegenzipbyId/version/{versionId}
GET /{tenant}/api/v3/nodegen/public/getnodegenzipbyId/service/{serviceId}

Authorization

Path parameters

Key
Value

environment *

Environment is part of your Log in to Spark URL.

tenant *

Tenant is part of your Log in to Spark URL and also available in the User menu.

versionId *

version_id of the requested service version.

serviceId *

service_id of the requested service. The Wasm from the latest service version will be downloaded.

folder *

Folder associated with the Wasm.

service *

Service associated with the Wasm. The Wasm from the latest service version will be downloaded.

Response

HTTP 200 OK Content-Type: application/octet-stream

Returns the Wasm ZIP bundle.

Last updated